Inhoud
Index 🔎︎

# CStr-functie

Converteert elke numerieke expressie naar een tekenreeks.

## Syntaxis:

    CStr (Expressie)

## Teruggegeven waarde:

String

## Parameters:

Expressie: Elke geldige tekenreeks of numerieke expressie die moet worden geconverteerd.

## Expressieypes en conversie geven terug

Booleaans: | ...een tekenreeks die evalueert naar óf Waar óf Onwaar.
Datum: | ...een tekenreeks die de datum en tijd bevat.
Null: | ...een run-time fout.
Leeg: | ...een tekenreeks zonder tekens.
Elk: | ...het overeenkomstige getal als tekenreeks.

Nullen aan het einde van een zwevende-kommagetal (floating-point) worden niet opgenomen in de teruggegeven tekenreeks.

## Foutcodes:

5 Ongeldige aanroep van procedure

## Voorbeeld:

    Sub ExampleCSTR
    Dim sVar As String
        MsgBox CDbl(1234.5678)
        MsgBox CInt(1234.5678)
        MsgBox CLng(1234.5678)
        MsgBox CSng(1234.5678)
        sVar = CStr(1234.5678)
        MsgBox sVar
    End Sub